body{
    background: #000000;
    background-image:   linear-gradient(45deg, #0c0c0c 25%, transparent 25%),
                        linear-gradient(-45deg, #0c0c0c 25%, transparent 25%),
                        linear-gradient(45deg, transparent 75%, #0c0c0c 75%),
                        linear-gradient(-45deg, transparent 75%, #0c0c0c 75%);
    background-size: 40px 40px;
    background-position: 0 0, 0 20px, 20px -20px, -20px 0px;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: hidden;
    user-select: none;
}

#mandala{
    position: absolute;
    margin: 0;
    padding: 0;
}

.side-panel{
    position: absolute;
    background: #00000088;
    height: 100%;
    width: 250;
    overflow-x: hidden;
    overflow-y: hidden;
    transition: 0.3s;
    transition-timing-function: ease-out;
    margin: 0px;
    padding-left: 0px;
    padding-top: 50px;
    left: -500px;
}



.property{
    position: relative;
    margin-bottom: 20px;
}

.property-check{
    display: flex;
    align-items: center;
}

.property > label{
    font-family: arial, verdana;
    font-size: 16px;
    color: #dddddd;
    margin-left: 10px;
    width:165px;
}

.property-slider > label{
    font-size: 22px;
}

#modecontrols{
    margin-top: 25px;
    padding-top: 17px;
    border-top: 2px solid #ffffff88;
    border-bottom: 2px solid #ffffff88;
    margin-bottom: 15px;
}

#modes{
    margin-left: 60px;
    margin-bottom: 5px;
}

#quickaccess{
    width: 250px;
    padding-left: 15px;
    padding-top: 15px;
}

@media only screen 
    and (max-height: 760px){
        #controls{
            display: grid;

            width: 500px;
            grid-template-columns: 250px 250px;
            grid-gap: 0px;
            
            padding: 0px;
            grid-auto-flow: column;
        }

        #modecontrols{
            margin-top: 75px;
            border-bottom: none;
        }

        #tweaks{
            margin-top: 27px;
        }
}

.tools-button{
    position: relative;
    border-radius:22px;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
    margin:5px;
    border:solid 2px transparent;
    width: 40px;
    height: 40px;
    outline: none;
    cursor: pointer;
}
.tools-button:hover {
    border-color: #ffffff;
    border-width: 2px;
    border-style: solid;
}
.tools-button:active {
	position:relative;
	top:1px;
}

#togglemenubtn{
    background: url('../img/toolsbtn.png') center no-repeat;
}
#undobtn{
    background: url('../img/undobtn.png') center no-repeat;
}
#deletebtn{
    background: url('../img/deletebtn.png') center no-repeat;
}
#togglesavebtn{
    background: url('../img/savebtn.png') center no-repeat;
}

#savebtn{
    background: url('../img/downloadbtn.png') center no-repeat;
    position: relative;
    border-radius:50%;
	display:block;
	cursor:pointer;
	border:solid 2px #ffffffaa;
    width: 90px;
    height: 90px;
    margin-left: auto;
    margin-right: auto;
    outline: none;
    cursor: pointer;
}

#savebtn:hover {
    border-color: #ffffff;
    border-width: 4px;
    border-style: solid;
}

.mode-input {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    
    outline: none;
    margin-left: -3px;
}

.mode-input:checked {
    border-color: #ffffff;
    border-width: 3px;
    border-style: solid;
}

#fhb{
    background: url('../img/freehandbtn.png') center no-repeat;
}

#slb{
    background: url('../img/straightlinebtn.png') center no-repeat;
}

#bfb{
    background: url('../img/bucketbtn.png') center no-repeat;
}

.colorp{
    background: #000000;
    width: 230px;
    border: 0px;
    margin-left: 10px;
    padding: 0px;
    box-shadow: 0px;
    border-radius: 7px;
    outline: 0px;
}

.csampler{
    position: relative;
    width: 45px;
    height: 211px;
    background: #000;
    display: block;
    margin-left:200px;
}

#saveconfig{
    margin-top: 25px;
    padding-top: 17px;
    border-top: 2px solid #ffffff88;
}

/*#savebtn{
    display:block;
    margin-top: 30px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
}*/

/*#region Checkbox*/

input[type=checkbox].toggle-property {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 60px;
    height: 20px;
    border-radius: 7px;
    background-color: #222222;
    outline: 0;
    cursor: pointer;
    transition: all 0.09s ease-in-out;
    position: relative;
    float:right;
    margin-right:10px;
}

input[type=checkbox].toggle-property:checked {
    background-color: #00c26b;
}

input[type=checkbox].toggle-property::after {
    content: '';
    display:block;
    width: 32px;
    height: 22px;
    background-color: white;
    border-radius: 7px;
    position: absolute;
    left: 0;
    top: -1;
    transition: left 0.09s ease-in-out;
}

input[type=checkbox].toggle-property:checked::after {
    left: 28px;
}

input[type=checkbox].toggle-property:disabled::after {
    background-color: #222222;
    border: 1px solid #444444;
    width: 30px;
    height: 20px;
}

/*#endregion*/

/*#region Slider*/

input[type=range] {
    height: 35px;
    -webkit-appearance: none;
    margin-left: 10px;
    width: 230px;
    background: transparent;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 20px;
    cursor: pointer;
    transition: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #222222;
    border-radius: 7px;
    border: 0px solid #000000;
}

input[type=range]::-webkit-slider-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #645C66;
    height: 28px;
    width: 40px;
    border-radius: 7px;
    background: #FFFFFF;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -4.5px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: #222222;
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 20px;
    cursor: pointer;
    transition: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #222222;
    border-radius: 7px;
    border: 0px solid #000000;
}

input[type=range]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #645C66;
    height: 28px;
    width: 40px;
    border-radius: 7px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]::-ms-track {
    width: 100%;
    height: 20px;
    cursor: pointer;
    transition: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: #222222;
    border: 0px solid #000000;
    border-radius: 14px;
    box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-fill-upper {
    background: #222222;
    border: 0px solid #000000;
    border-radius: 14px;
    box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 0px 0px 0px #000000;
    border: 0px solid #645C66;
    height: 28px;
    width: 40px;
    border-radius: 7px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
    background: #222222;
}

input[type=range]:focus::-ms-fill-upper {
    background: #222222;
}
/*#endregion */

